### Method

# Ide Pipeline detach

#### Declaration

    void
    ide_pipeline_detach (
      IdePipeline* self,
      guint stage_id
    )

#### Description

This removes the stage matching `stage_id`. You are returned a `stage_id` when inserting a stage with functions such as `ide_pipeline_attach()` or ide_pipeline_attach_launcher().

Plugins should use this function to remove their stages when the plugin is unloading.

Available since: | 3.32

#### Parameters

`stage_id` | `guint`
| An identifier returned from adding a stage.